Skip to main content
POST
Clone a trip

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

id
integer
required

Record ID within the organization and any parent resource in this route.

Body

application/json

Request fields accepted by this operation. Omitted optional properties retain the behavior described above.

name
string
required

Validation: required|string|max:255.

Maximum string length: 255
Example:

"Follow up with trip participants"

start_date
string<date-time> | null

Validation: nullable|date.

Example:

"2026-10-20T09:00:00Z"

end_date
string<date-time> | null

Trip end date; must be on or after start_date.

Example:

"2026-10-20T09:00:00Z"

clone_budget_items
boolean

Validation: boolean.

Example:

false

clone_tasks
boolean

Validation: boolean.

Example:

false

clone_documents
boolean

Validation: boolean.

Example:

false

clone_settings
boolean

Validation: boolean.

Example:

false

shift_task_dates
boolean

Validation: boolean.

Example:

false

Response

Clone a trip response.

id
integer
name
string
slug
string
status
string
fundraising_goal
number
total_raised
number
progress_percent
number
participant_count
integer
is_sample_trip
boolean
sample_seed_version
integer | null
created_at
string<date-time>
updated_at
string<date-time>
destination
string | null
start_date
string<date> | null
end_date
string<date> | null